MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026583Open CASCADE[OCCT] OCCT:Codingpublic2015-08-21 11:382016-04-20 15:48
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026583: Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides function parameter
DescriptionNext warnings appears during occt compilation with vc14:

15>..\src\IntPatch\IntPatch_Intersection.cxx(1704): warning C4457: declaration of 'typs1' hides function parameter
15>..\src\IntPatch\IntPatch_Intersection.cxx(1705): warning C4457: declaration of 'typs2' hides function parameter
15>..\src\GeomFill\GeomFill_CorrectedFrenet.cxx(293): warning C4457: declaration of 'c' hides function parameter
16>..\src\BRepCheck\BRepCheck_Shell.cxx(59): warning C4457: declaration of 'fac' hides function parameter
20>..\src\HLRBRep\HLRBRep_PolyAlgo.cxx(3108): warning C4457: declaration of 'Nod1Indices' hides function parameter
20>..\src\HLRBRep\HLRBRep_PolyAlgo.cxx(3128): warning C4457: declaration of 'Nod1Indices' hides function parameter
18>..\src\ShapeFix\ShapeFix_Solid.cxx(351): warning C4457: declaration of 'aShape' hides function parameter
18>..\src\ShapeUpgrade\ShapeUpgrade_UnifySameDomain.cxx(543): warning C4457: declaration of 'anEdge' hides function parameter
26>..\src\BRepAlgo\BRepAlgo_Image.cxx(301): warning C4457: declaration of 'S' hides function parameter
32>..\src\TNaming\TNaming_NamingTool.cxx(99): warning C4457: declaration of 'S' hides function parameter
40>..\src\BRepFeat\BRepFeat.cxx(220): warning C4457: declaration of 'Ori' hides function parameter
48>..\src\IGESDimen\IGESDimen_ToolOrdinateDimension.cxx(55): warning C4457: declaration of 'ent' hides function parameter

..\src\IVtkOCC\IVtkOCC_ShapeMesher.cxx(487): warning C4457: declaration of 'theU1' hides function parameter
..\src\IVtkOCC\IVtkOCC_ShapeMesher.cxx(487): warning C4457: declaration of 'theU2' hides function parameter
Steps To ReproduceTry to compile occt with vc14 (Visual Studio 2015)
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0026547closedski Configuration - fix compilation errors on VS2015 

-  Notes
(0044513)
git (administrator)
2015-08-21 17:13

Branch CR26583 has been created by ski.

SHA-1: 2501080200579c5b94bb1961687060926e3d642e


Detailed log of new commits:

Author: ski
Date: Tue Aug 18 14:08:55 2015 +0300

    0026583: Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides function parameter
    
    Eliminated warnings about "declaration of local variable hides function parameter"
(0045304)
git (administrator)
2015-09-09 13:06

Branch CR26583 has been updated forcibly by ski.

SHA-1: 04ec05dfecdf79ecc3eceac2f95bcfc63858284a
(0045317)
ski (developer)
2015-09-09 14:20

Warnings were fixed on vc14.
(0045365)
abv (manager)
2015-09-10 07:22

No remarks, please test
(0046995)
git (administrator)
2015-10-16 16:37

Branch CR26583 has been deleted by kgv.

SHA-1: 04ec05dfecdf79ecc3eceac2f95bcfc63858284a

- Related Changesets
occt: master 464cd2fb
Timestamp: 2015-09-09 09:56:09
Author: ski
Committer: bugmaster
Details ] Diff ]
0026583: Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides function parameter

Eliminated warnings about "declaration of local variable hides function parameter"
mod - src/BRepAlgo/BRepAlgo_Image.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Shell.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_CorrectedFrenet.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PolyAlgo.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolOrdinateDimension.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Solid.cxx Diff ] File ]
mod - src/TNaming/TNaming_NamingTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-21 11:38 ski New Issue
2015-08-21 11:38 ski Assigned To => ski
2015-08-21 11:38 ski Status new => assigned
2015-08-21 17:13 git Note Added: 0044513
2015-08-25 09:31 kgv Relationship added child of 0026547
2015-09-09 11:30 ski Description Updated View Revisions
2015-09-09 13:06 git Note Added: 0045304
2015-09-09 14:20 ski Note Added: 0045317
2015-09-09 14:20 ski Assigned To ski => abv
2015-09-09 14:20 ski Status assigned => resolved
2015-09-10 07:22 abv Note Added: 0045365
2015-09-10 07:22 abv Assigned To abv => bugmaster
2015-09-10 07:22 abv Status resolved => reviewed
2015-09-10 13:28 bugmaster Status reviewed => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master 464cd2fb
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-10-16 16:37 git Note Added: 0046995
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker